Skip to content

Success metrics dashboard

GET
/api/v1/chairman/metrics
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/chairman/metrics \
--header 'X-API-Key: <X-API-Key>'

North star metric, leading indicators, monthly targets vs actuals.

Successful Response

Media typeapplication/json
SuccessMetricsResponse

Wrapper for GET /chairman/metrics.

Attributes: data: The success metrics payload.

object
data
required
SuccessMetricsView

Chairman’s success metrics dashboard.

Attributes: north_star: The north star metric description. north_star_value: Current north star metric value. leading_indicators: List of leading indicators. monthly_targets: Monthly targets with actuals.

object
leading_indicators
Leading Indicators
Array<object>
LeadingIndicator

A single leading indicator with current value.

Attributes: name: Indicator description. current_value: Current measured value. target_value: Target value (if defined). unit: Unit of measurement.

object
current_value
Current Value
number
0
name
required
Name
string
target_value
Any of:
number
unit
Unit
string
""
monthly_targets
Monthly Targets
Array<object>
MonthlyTarget

A monthly target from the success metrics plan.

Attributes: month: Target month number. users: Target total users. paying: Target paying customers. mrr: Target MRR. milestone: Description of the milestone. actual_users: Actual users (if known). actual_paying: Actual paying customers (if known). actual_mrr: Actual MRR (if known).

object
actual_mrr
Any of:
number
actual_paying
Any of:
integer
actual_users
Any of:
integer
milestone
Milestone
string
""
month
required
Month
integer
mrr
Mrr
number
0
paying
Paying
integer
0
users
Users
integer
0
north_star
North Star
string
""
north_star_value
North Star Value
integer
0
Example
{
"data": {
"leading_indicators": [
{
"current_value": 0,
"unit": ""
}
],
"monthly_targets": [
{
"milestone": "",
"mrr": 0,
"paying": 0,
"users": 0
}
],
"north_star": "",
"north_star_value": 0
}
}